@charset "utf-8";
@import "/css/icomoon.css";

@keyframes bounce-up {
    25% {
        transform: translateY(0.7rem);
    }
    50%,
    100% {
        transform: translateY(0);
    }
    75% {
        transform: translateY(-0.7rem);
    }
}
* {
    -webkit-tap-highlight-color: transparent;
}
html {
    font-size: 62.5%;
}
body,
td,
th,
input,
textarea,
select {
    font-family: -apple-system, BlinkMacSystemFont, "Segoe UI", "PingFang SC",
        "Hiragino Sans GB", "Microsoft YaHei", "Helvetica Neue", Helvetica,
        Arial, sans-serif, "Apple Color Emoji", "Segoe UI Emoji",
        "Segoe UI Symbol";
    font-size: 1.4rem;
    color: #000000;
}
body {
    margin: 0;
    background: #fbfbfb;
}
a {
    color: #1055ce;
    text-decoration: none;
    outline: none;
}
a:hover {
    color: #ea6103;
    text-decoration: none;
}
a,
input,
textarea,
select,
button {
    outline: none;
}
h1,
h2,
h3,
h4 {
    padding: 0;
    margin: 0;
    font-weight: normal;
}
ul,
li,
dl,
dt,
dd {
    padding: 0;
    margin: 0;
    list-style: none;
}
ul:after,
header:after,
main:after,
footer:after {
    content: "";
    display: block;
    width: 0;
    height: 0;
    clear: both;
}
img {
    border: 0;
    display: block;
}
input::-webkit-inner-spin-button {
    -webkit-appearance: none;
}
input::-webkit-outer-spin-button {
    -webkit-appearance: none;
}
input[type="text"],
input[type="tel"],
input[type="password"],
input[type="number"],
input[type="date"],
input[type="button"],
textarea {
    appearance: none;
    -webkit-appearance: none;
    border-radius: 0;
}
input[type="number"] {
    appearance: textfield;
    -moz-appearance: textfield;
}
input[type="text"],
input[type="tel"],
input[type="password"],
input[type="number"],
input[type="date"],
select {
    width: 100%;
    height: 4rem;
    line-height: 4rem;
    border: 0.1rem solid #ccc;
    padding: 0;
    box-sizing: border-box;
    border-radius: 0;
}
select {
    width: auto;
}
textarea {
    width: 100%;
    line-height: 1.5em;
    border: 0.1rem solid #ccc;
    padding: 0.5em 1rem;
    box-sizing: border-box;
}
input:focus,
textarea:focus,
select:focus {
    border: 0.1rem solid #1055ce;
}
input[type="submit"],
button[type="submit"],
input.submit {
    appearance: none;
    background: #ff5614;
    border: none;
    line-height: 3rem;
    color: #fff;
    cursor: pointer;
    box-sizing: border-box;
}
input:-webkit-autofill {
    box-shadow: 0 0 0 10rem white inset !important;
}
.mask-layer {
    position: fixed;
    z-index: 9999;
    left: 0;
    top: 0;
    right: 0;
    bottom: 0;
    background: rgba(0, 0, 0, 0.4);
    display: flex;
    justify-content: center;
    align-items: center;
}
.space {
    height: 4rem;
}
#header {
    width: 100%;
    background: #1055ce;
    height: 6rem;
}
#header .container {
    display: flex;
    justify-content: space-between;
    align-items: center;
}
#header .logo {
    height: 3rem;
    width: 12rem;
    overflow: hidden;
}
#header .logo a {
    font-size: 2rem;
    color: #fff;
    user-select: none;
    background-image: url(/images/logo.png);
    background-size: auto 100%;
    background-repeat: no-repeat;
    width: 100%;
    height: 100%;
    display: block;
    text-indent: -9999rem;
}
#header .nav {
    flex: 1;
    padding-left: 5rem;
    user-select: none;
}
#header .nav ul {
    display: flex;
}
#header .nav li a {
    color: #fff;
    text-decoration: none;
    padding: 0 1.5rem;
    height: 6rem;
    display: flex;
    align-items: center;
}
#header .nav li a:hover {
    color: #fff;
}
#header .nav li.selected a {
    background: #0040b1;
}
#header .side {
    display: flex;
    align-items: center;
    gap: 1rem;
}

#header .user {
    position: relative;
    cursor: pointer;
}
#header .user .login a {
    height: 3rem;
    display: flex;
    justify-content: center;
    align-items: center;
    background: #0040b1;
    padding: 0 1.5rem;
    color: #fff;
    border-radius: 0.3rem;
}
#header .user .login a:hover {
    background: #003090;
}
#header .user .name {
    display: flex;
    height: 6rem;
    align-items: center;
    color: #eee;
}
#header .user .name i {
    margin-left: 0.2rem;
}
#header .user .action {
    display: none;
}
#header .user:hover .action {
    display: block;
    position: absolute;
    z-index: 999;
    top: 5rem;
    right: 0;
    width: 7rem;
    background: #fff;
    border-radius: 0.3rem;
    overflow: hidden;
    box-shadow: 0 0 0.3rem rgba(0, 0, 0, 0.1);
}

#header .user .action a {
    height: 4rem;
    display: flex;
    justify-content: center;
    align-items: center;
}
#header .user .action a:hover {
    background: #0040b1;
    color: #fff;
}
#header .search form {
    display: flex;
}
#header .search form input {
    width: 12rem;
    height: 3rem;
    line-height: 3rem;
    border-radius: 0.3rem 0 0 0.3rem;
    border: none;
    padding: 0 1rem;
    font-size: 1.4rem;
}
#header .search form button {
    width: 3rem;
    height: 3rem;
    line-height: 3rem;
    text-align: center;
    border-radius: 0 0.3rem 0.3rem 0;
    border: none;
    background: #0040b1;
    color: #fff;
    font-size: 1.4rem;
    cursor: pointer;
    padding: 0;
}
#footer {
    margin: 2rem 1.5rem;
    padding: 2rem 0;
    border-top: 1px solid #eee;
}
#footer .copyright {
    text-align: center;
    color: #999;
    font-size: 1.2rem;
    margin: 1rem 0;
}
#footer .icp {
    text-align: center;
    color: #999;
    font-size: 1.2rem;
}
#footer .icp a {
    color: #999;
}
.container {
    width: 100%;
    max-width: 98rem;
    margin: 0 auto;
}
.load-more {
    margin: 2rem 0;
}
.load-more a {
    display: flex;
    justify-content: center;
    align-items: center;
    height: 3.6rem;
    border: 1px solid #1055ce;
    color: #1055ce;
    border-radius: 0.4rem;
    font-size: 1.5rem;
}
.load-more a:hover {
    background: #1055ce;
    color: #fff;
}
.banner {
    margin: 0;
    background: linear-gradient(to right, #f9ecee, #96bcfa);
    height: 30rem;
}
.banner .container {
    box-sizing: border-box;
    padding: 3rem 1.5rem;
}
.banner .container h1 {
    font-size: 4rem;
    font-weight: bold;
    margin: 1.5rem 0 1rem;
}
.banner .container h1 strong {
    --strong-color: linear-gradient(
        246deg,
        #856efa 0%,
        #1366ec 64%,
        #5c99ff 99%
    );
    background-image: var(--strong-color);
    color: transparent;
    -webkit-background-clip: text;
    background-clip: text;
}
.banner .container h2 {
    font-size: 2rem;
    margin: 2rem 0;
}
.banner .container a {
    display: flex;
    align-items: center;
    justify-content: space-between;
    height: 4.2rem;
    line-height: 4rem;
    background-color: #5c5cf7;
    color: #fff;
    max-width: 30rem;
    padding: 0 1.5rem;
    font-size: 1.6rem;
    box-sizing: border-box;
}
.article {
    padding: 1.5rem;
    display: flex;
}
.article .main {
    flex: 1;
}
.article .side {
    width: 30rem;
    margin-left: 2rem;
}
.article-list ul li {
    margin: 1rem 0;
    padding: 0.5rem 0;
    border-bottom: 0.1rem dotted #ccc;
}
.article-list ul li:last-child {
    border-bottom: none;
}
.article-list ul li a .title {
    font-size: 2rem;
    line-height: 1.25em;
    color: #000;
}
.article-list ul li a .sub {
    display: flex;
    margin: 1rem 0;
}
.article-list ul li a .sub .image {
    width: 15rem;
    max-height: 12rem;
    margin-right: 2rem;
    overflow: hidden;
}
.article-list ul li a .sub .image img {
    width: 100%;
    display: block;
}
.article-list ul li a .sub .description {
    flex: 1;
}
.article-list ul li a .sub .description .text {
    max-height: 10rem;
    line-height: 1.5em;
    display: -webkit-box;
    line-clamp: 4;
    -webkit-line-clamp: 4;
    -webkit-box-orient: vertical;
    overflow: hidden;
    color: #333;
}
.article-list ul li a .sub .description .author {
    margin-top: 0.5rem;
    color: #999;
    font-size: 1.2rem;
}
.article-list ul li a:hover .title {
    color: #1055ce;
}
.hot-box {
    background-color: #f7f8f9;
}
.hot-box .title-bar {
    padding: 1rem;
}
.hot-box .title-bar h2 {
    font-size: 1.8rem;
    font-weight: 700;
}
.hot-box ul li {
    padding: 0.5rem 1rem;
    display: flex;
    align-items: center;
    border-bottom: 1px solid #eee;
    overflow: hidden;
    text-overflow: ellipsis;
}
.hot-box ul li:last-child {
    border: none;
}
.hot-box ul li i {
    display: flex;
    width: 1.6rem;
    height: 1.6rem;
    align-items: center;
    justify-content: center;
    border-radius: 0.2rem;
    font-size: 1.2rem;
    color: #eeb807;
}
.hot-box ul li:nth-child(1) i {
    background-color: #ea1a03;
    color: #fff;
}
.hot-box ul li:nth-child(2) i {
    background-color: #ea6103;
    color: #fff;
}
.hot-box ul li:nth-child(3) i {
    background-color: #eeb807;
    color: #fff;
}
.hot-box ul li a {
    flex: 1;
    margin-left: 0.5rem;
    color: #333;
    height: 3.4rem;
    line-height: 3.4rem;
    font-size: 1.5rem;
    overflow: hidden;
    display: -webkit-box;
    line-clamp: 1;
    -webkit-line-clamp: 1;
    -webkit-box-orient: vertical;
}
.hot-box ul li a:hover {
    color: #1055ce;
}
.home-foot {
    padding: 0 1.5rem;
}
.home-foot a {
    color: #666;
}
.article-header {
    height: 6rem;
    line-height: 6rem;
    padding: 0 1.5rem;
}
.article-box h1 {
    font-size: 2.4rem;
    font-weight: 600;
}
.article-box .info {
    height: 4rem;
    line-height: 4rem;
    border-bottom: 1px solid #eee;
    margin: 1rem 0;
    display: flex;
    align-items: center;
    justify-content: space-between;
}
.article-box .info > span {
    margin-right: 1rem;
    color: #999;
    font-size: 1.2rem;
}
.article-box .info .qrcode {
    position: relative;
    cursor: pointer;
}
.article-box .info .qrcode i {
    font-size: 1.2rem;
    margin-right: 0.4rem;
}
.article-box .info .qrcode span {
    display: none;
}
.article-box .info .qrcode:hover span {
    display: block;
    position: absolute;
    top: 4rem;
    right: 0;
    z-index: 999;
    border: 1px solid #ccc;
}
.article-box .info .qrcode:hover span img {
    display: block;
}
.article-box .detail {
    margin: 1rem 0;
    line-height: 1.85em;
    font-size: 1.6rem;
    text-align: justify;
    color: #333;
}
.article-box .detail .cover {
    position: relative;
    text-align: center;
    margin: 1.5rem 0;
}
.article-box .detail .cover span {
    position: absolute;
    left: 0;
    right: 0;
    bottom: 0;
    background: rgba(0, 0, 0, 0.5);
    color: #fff;
    font-size: 1.2rem;
    padding: 0.5rem;
    box-sizing: border-box;
    padding: 0 1rem;
    height: 3rem;
    line-height: 3rem;
    overflow: hidden;
    text-overflow: ellipsis;
    white-space: nowrap;
}
.article-box .detail img {
    max-width: 100%;
    display: block;
    margin: auto;
}
.article-box .foot {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    width: 30rem;
    max-width: 100%;
    margin: 1rem auto;
}
.article-box .foot .image img {
    width: 90%;
    margin: auto;
    display: block;
}
.article-box .foot .text {
    margin-bottom: 1rem;
    color: #333;
    text-align: center;
    font-weight: bold;
}
.article-box .after {
    width: 100%;
    max-width: 64rem;
    overflow: hidden;
    margin: 2rem auto;
}
.article-box .share {
    margin: 2rem 0;
}
.relation {
    margin: 2rem 0;
}
.relation .bar {
    border-bottom: 0.1rem solid #eee;
    height: 4rem;
    line-height: 4rem;
    font-size: 1.6rem;
}
.relation ul {
    padding: 1rem 0;
    background: #fafafa;
}
.relation ul li {
    height: 3rem;
    line-height: 3rem;
    overflow: hidden;
    display: flex;
    justify-content: space-between;
    gap: 1rem;
}

.relation ul li span {
    display: block;
    white-space: nowrap;
    color: #777;
}
.image-fit {
    margin: 1.5rem 0;
    position: sticky;
    top: 0;
}
.image-ad {
    margin: 1.5rem 0;
}
.image-fit img,
.image-ad img {
    width: 100%;
    display: block;
}
.place-nav a {
    color: #666;
}
.place-nav a:hover {
    color: #1055ce;
}
.pagination {
    margin: 2rem 0;
}
.pagination ul {
    display: flex;
    flex-wrap: wrap;
}
.pagination ul li {
    margin: 0.7rem 0.7rem 0 0;
}
.pagination ul li a,
.pagination ul li a.selected {
    display: flex;
    justify-content: center;
    align-items: center;
    min-width: 4.2rem;
    height: 3.6rem;
    border: 0.1rem solid #1055ce;
    box-sizing: border-box;
    background: #fff;
    font-size: 1.8rem;
    color: #1055ce;
    text-decoration: none;
    border-radius: 0.3rem;
}
.pagination ul li a.selected,
.pagination ul li a:hover {
    background: #1055ce;
    color: #fff !important;
    text-decoration: none;
}
.page-nav {
    display: flex;
    flex-direction: column;
}
.page-nav .prev,
.page-nav .next {
    margin: 1rem 0;
}
.page-nav .prev span,
.page-nav .next span {
    color: #999;
    margin-right: 0.5rem;
}
.page-nav .prev a,
.page-nav .next a {
    flex: 1;
}
.page-nav .next a {
    text-align: right;
}
.types-view .head {
    padding: 1.5rem;
}
.types-view .head h1 {
    text-align: center;
    font-size: 3rem;
    font-weight: bold;
}
.types-view .head .link {
    display: flex;
    justify-content: center;
    padding: 1rem;
}
.types-view .head .link a {
    display: flex;
    align-items: center;
    justify-content: center;
    height: 4rem;
    border: 0.1rem solid #1055ce;
    box-sizing: border-box;
    padding: 0 2rem;
}
.types-view .head .link a:hover {
    background-color: #1055ce;
    color: #fff;
}
.types-view .head .link a i {
    margin-left: 0.4rem;
}
.types-view .list {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
    padding: 1rem;
}
.types-view .list .item {
    flex: 0 0 25%;
    display: flex;
    flex-direction: column;
}
.types-view .list .item .box {
    border: 0.1rem solid #ddd;
    box-sizing: border-box;
    margin: 0.5rem;
    padding: 1.5rem 0;
    border-radius: 0.8rem;
    flex: 1;
    cursor: pointer;
}
.types-view .list .item .box:hover {
    border-color: #1055ce;
}
.types-view .list .item .title {
    display: flex;
    align-items: stretch;
    justify-content: center;
    font-size: 2rem;
}
.types-view .list .item .title h2 {
    font-size: 2rem;
}
.types-view .list .item .title em {
    font-style: normal;
    margin-left: 1rem;
}
.types-view .list .item .description {
    flex: 1;
    width: 100%;
    text-align: justify;
    line-height: 1.5em;
    color: #777;
    max-height: 18rem;
    overflow-y: auto;
    padding: 1.5rem;
    box-sizing: border-box;
}
.types-view .list .item .box:hover .description {
    color: #333;
}
.none-result {
    margin: 2rem 1rem;
    padding: 1rem;
    text-align: center;
    background: #fffced;
    line-height: 1.5em;
    border-radius: 0.3rem;
    border: 0.1rem solid #0040b1;
}

.tag-box {
    background-color: #fff;
    border-radius: 0.5rem;
}
.tag-box .title-bar {
    padding: 1rem;
}
.tag-box .title-bar h2 {
    font-size: 1.8rem;
    font-weight: 700;
}
.tag-box ul {
    display: flex;
    flex-wrap: wrap;
    gap: 1rem;
    padding: 0 1rem 1rem;
}
.tag-box ul li {
    margin: 0.5em 0;
}
.tag-box ul li a {
    background: #1055ce;
    color: #fff;
    border-radius: 0.3rem;
    display: block;
    line-height: 3rem;
    padding: 0 0.5em;
}
.search-list em {
    font-style: normal;
    color: #c00 !important;
}
@media (max-width: 768px) {
    #header .container {
        padding: 0;
        margin: 0;
        position: relative;
        height: 6rem;
    }
    #header .logo {
        padding-left: 1rem;
    }
    #header .nav {
        position: absolute;
        background: url(/images/menu.png);
        background-position: left center;
        width: 5rem;
        height: 6rem;
        right: 0;
        top: 0;
        padding: 0;
        display: block;
        cursor: pointer;
    }
    #header .nav ul {
        display: none;
    }
    #header .nav:hover {
        background-color: #0040b1;
    }
    #header .nav:hover ul {
        display: block;
        position: absolute;
        right: 0;
        top: 6rem;
        width: 10rem;
        background: #1055ce;
        z-index: 9999;
    }
    #header .nav ul li a {
        height: 3.6rem;
        line-height: 3.6rem;
        display: inline-block;
        text-indent: 2rem;
        width: 100%;
        padding: 0;
    }
    #header .nav ul li a:hover {
        color: #000;
        background: #1055ce;
    }
    #header .side {
        position: absolute;
        top: 0;
        right: 5rem;
        bottom: 0;
        display: flex;
        align-items: center;
        padding: 0 1rem;
        box-sizing: border-box;
    }
    #header .search form input {
        width: 10rem;
        padding: 0 0.5rem;
    }
    #header .user .name span {
        display: inline-block;
        max-width: 6rem;
        overflow: hidden;
        text-overflow: ellipsis;
        white-space: nowrap;
    }
    .article {
        flex-direction: column;
    }
    .article .side {
        width: 100%;
        margin-left: 0;
    }
    .types-view .list .item {
        flex: 0 0 50%;
    }
}
@media (max-width: 480px) {
    .banner {
        height: auto;
    }
    .banner .container {
        max-width: 100%;
    }
    .banner .container h1 {
        font-size: 3.6rem;
    }
    .banner .container a {
        max-width: unset;
    }
    .types-view .list .item {
        flex: 0 0 100%;
    }
    .types-view .list .item .description {
        max-height: unset;
    }
}
